<?php

/**
 * The plugin bootstrap file
 *
 * @link              https://www.webstudiobrana.com
 * @since             1.0.0
 * @package           Wsb_Hub3
 *
 * @wordpress-plugin
 * Plugin Name:       WSB HUB3
 * Plugin URI:        https://www.webstudiobrana.com/wsb-hub3
 * Description:       Barcode payment details plugin for Woocommerce (for Croatian banks)
 * Version:           1.0.5
 * Author:            Branko Borilovic
 * Author URI:        https://profiles.wordpress.org/branahr
 * WC requires at least: 3.3
 * WC tested up to: 	 3.8.1
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wsb-hub3
 * Domain Path:       /languages
 */


// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 */
define( 'WSB_HUB3_VERSION', '1.0.5' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wsb-hub3-activator.php
 */
function activate_wsb_hub3() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wsb-hub3-activator.php';
	Wsb_Hub3_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wsb-hub3-deactivator.php
 */
function deactivate_wsb_hub3() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wsb-hub3-deactivator.php';
	Wsb_Hub3_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_wsb_hub3' );
register_deactivation_hook( __FILE__, 'deactivate_wsb_hub3' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wsb-hub3.php';

/**
 * Begins execution of the plugin.
 *
 * @since    1.0.0
 */
function run_wsb_hub3() {

	$plugin = new Wsb_Hub3();
	$plugin->run();

}

run_wsb_hub3();